<?php

/**
* getLookupMainTableSettings - tests whether the lookup link exists between the tables
*
*  returns array with ProjectSettings class for main table if the link exists in project settings.
*  returns NULL otherwise
*/
function getLookupMainTableSettings($lookupTable, $mainTableShortName, $mainField, $desiredPage = "")
{
	global $lookupTableLinks;
	if(!isset($lookupTableLinks[$lookupTable]))
		return null;
	if(!isset($lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField]))
		return null;
	$arr = &$lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField];
	$effectivePage = $desiredPage;
	if(!isset($arr[$effectivePage]))
	{
		$effectivePage = PAGE_EDIT;
		if(!isset($arr[$effectivePage]))
		{
			if($desiredPage == "" && 0 < count($arr))
			{
				$effectivePage = $arr[0];
			}
			else
				return null;
		}
	}
	return new ProjectSettings($arr[$effectivePage]["table"], $effectivePage);
}

/** 
* $lookupTableLinks array stores all lookup links between tables in the project
*/
function InitLookupLinks()
{
	global $lookupTableLinks;

	$lookupTableLinks = array();

		if( !isset( $lookupTableLinks["placas_total"] ) ) {
			$lookupTableLinks["placas_total"] = array();
		}
		if( !isset( $lookupTableLinks["placas_total"]["pro_participante.placa"] )) {
			$lookupTableLinks["placas_total"]["pro_participante.placa"] = array();
		}
		$lookupTableLinks["placas_total"]["pro_participante.placa"]["edit"] = array("table" => "pro_participante", "field" => "placa", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pro_participante.tipo_vehiculo"] )) {
			$lookupTableLinks["aux"]["pro_participante.tipo_vehiculo"] = array();
		}
		$lookupTableLinks["aux"]["pro_participante.tipo_vehiculo"]["edit"] = array("table" => "pro_participante", "field" => "tipo_vehiculo", "page" => "edit");
		if( !isset( $lookupTableLinks["promocion"] ) ) {
			$lookupTableLinks["promocion"] = array();
		}
		if( !isset( $lookupTableLinks["promocion"]["pro_participante.id_promocion"] )) {
			$lookupTableLinks["promocion"]["pro_participante.id_promocion"] = array();
		}
		$lookupTableLinks["promocion"]["pro_participante.id_promocion"]["edit"] = array("table" => "pro_participante", "field" => "id_promocion", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pro_participante.procedencia"] )) {
			$lookupTableLinks["aux"]["pro_participante.procedencia"] = array();
		}
		$lookupTableLinks["aux"]["pro_participante.procedencia"]["edit"] = array("table" => "pro_participante", "field" => "procedencia", "page" => "edit");
		if( !isset( $lookupTableLinks["premios_total"] ) ) {
			$lookupTableLinks["premios_total"] = array();
		}
		if( !isset( $lookupTableLinks["premios_total"]["pro_ganador.premio"] )) {
			$lookupTableLinks["premios_total"]["pro_ganador.premio"] = array();
		}
		$lookupTableLinks["premios_total"]["pro_ganador.premio"]["edit"] = array("table" => "pro_ganador", "field" => "premio", "page" => "edit");
		if( !isset( $lookupTableLinks["promocion"] ) ) {
			$lookupTableLinks["promocion"] = array();
		}
		if( !isset( $lookupTableLinks["promocion"]["pro_ganador.id_promocion"] )) {
			$lookupTableLinks["promocion"]["pro_ganador.id_promocion"] = array();
		}
		$lookupTableLinks["promocion"]["pro_ganador.id_promocion"]["edit"] = array("table" => "pro_ganador", "field" => "id_promocion", "page" => "edit");
		if( !isset( $lookupTableLinks["participante_total"] ) ) {
			$lookupTableLinks["participante_total"] = array();
		}
		if( !isset( $lookupTableLinks["participante_total"]["pro_ganador.monto_acumulado"] )) {
			$lookupTableLinks["participante_total"]["pro_ganador.monto_acumulado"] = array();
		}
		$lookupTableLinks["participante_total"]["pro_ganador.monto_acumulado"]["edit"] = array("table" => "pro_ganador", "field" => "monto_acumulado", "page" => "edit");
		if( !isset( $lookupTableLinks["participante_total"] ) ) {
			$lookupTableLinks["participante_total"] = array();
		}
		if( !isset( $lookupTableLinks["participante_total"]["pro_ganador.placa"] )) {
			$lookupTableLinks["participante_total"]["pro_ganador.placa"] = array();
		}
		$lookupTableLinks["participante_total"]["pro_ganador.placa"]["edit"] = array("table" => "pro_ganador", "field" => "placa", "page" => "edit");
		if( !isset( $lookupTableLinks["pro_det_premio"] ) ) {
			$lookupTableLinks["pro_det_premio"] = array();
		}
		if( !isset( $lookupTableLinks["pro_det_premio"]["pro_ganador.monto_premio"] )) {
			$lookupTableLinks["pro_det_premio"]["pro_ganador.monto_premio"] = array();
		}
		$lookupTableLinks["pro_det_premio"]["pro_ganador.monto_premio"]["edit"] = array("table" => "pro_ganador", "field" => "monto_premio", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pro_ganador.procedencia"] )) {
			$lookupTableLinks["aux"]["pro_ganador.procedencia"] = array();
		}
		$lookupTableLinks["aux"]["pro_ganador.procedencia"]["edit"] = array("table" => "pro_ganador", "field" => "procedencia", "page" => "edit");
		if( !isset( $lookupTableLinks["total_ganador"] ) ) {
			$lookupTableLinks["total_ganador"] = array();
		}
		if( !isset( $lookupTableLinks["total_ganador"]["pro_ganador.ci"] )) {
			$lookupTableLinks["total_ganador"]["pro_ganador.ci"] = array();
		}
		$lookupTableLinks["total_ganador"]["pro_ganador.ci"]["edit"] = array("table" => "pro_ganador", "field" => "ci", "page" => "edit");
		if( !isset( $lookupTableLinks["pro_det_premio"] ) ) {
			$lookupTableLinks["pro_det_premio"] = array();
		}
		if( !isset( $lookupTableLinks["pro_det_premio"]["pro_ganador.id_premio"] )) {
			$lookupTableLinks["pro_det_premio"]["pro_ganador.id_premio"] = array();
		}
		$lookupTableLinks["pro_det_premio"]["pro_ganador.id_premio"]["edit"] = array("table" => "pro_ganador", "field" => "id_premio", "page" => "edit");
		if( !isset( $lookupTableLinks["suma"] ) ) {
			$lookupTableLinks["suma"] = array();
		}
		if( !isset( $lookupTableLinks["suma"]["pro_ganador.saldo"] )) {
			$lookupTableLinks["suma"]["pro_ganador.saldo"] = array();
		}
		$lookupTableLinks["suma"]["pro_ganador.saldo"]["edit"] = array("table" => "pro_ganador", "field" => "saldo", "page" => "edit");
		if( !isset( $lookupTableLinks["promocion"] ) ) {
			$lookupTableLinks["promocion"] = array();
		}
		if( !isset( $lookupTableLinks["promocion"]["pro_premio.id_promocion"] )) {
			$lookupTableLinks["promocion"]["pro_premio.id_promocion"] = array();
		}
		$lookupTableLinks["promocion"]["pro_premio.id_promocion"]["edit"] = array("table" => "pro_premio", "field" => "id_promocion", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pro_det_premio.tipo_vehiculo"] )) {
			$lookupTableLinks["aux"]["pro_det_premio.tipo_vehiculo"] = array();
		}
		$lookupTableLinks["aux"]["pro_det_premio.tipo_vehiculo"]["edit"] = array("table" => "pro_det_premio", "field" => "tipo_vehiculo", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["participante_acumulado.tipo_vehiculo"] )) {
			$lookupTableLinks["aux"]["participante_acumulado.tipo_vehiculo"] = array();
		}
		$lookupTableLinks["aux"]["participante_acumulado.tipo_vehiculo"]["edit"] = array("table" => "Participante_Acumulado", "field" => "tipo_vehiculo", "page" => "edit");
		if( !isset( $lookupTableLinks["placas_total"] ) ) {
			$lookupTableLinks["placas_total"] = array();
		}
		if( !isset( $lookupTableLinks["placas_total"]["participante_acumulado.placa"] )) {
			$lookupTableLinks["placas_total"]["participante_acumulado.placa"] = array();
		}
		$lookupTableLinks["placas_total"]["participante_acumulado.placa"]["edit"] = array("table" => "Participante_Acumulado", "field" => "placa", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["participantes_acumulado.tipo_vehiculo"] )) {
			$lookupTableLinks["aux"]["participantes_acumulado.tipo_vehiculo"] = array();
		}
		$lookupTableLinks["aux"]["participantes_acumulado.tipo_vehiculo"]["edit"] = array("table" => "Participantes_Acumulado", "field" => "tipo_vehiculo", "page" => "edit");
		if( !isset( $lookupTableLinks["placas_total"] ) ) {
			$lookupTableLinks["placas_total"] = array();
		}
		if( !isset( $lookupTableLinks["placas_total"]["participantes_acumulado.placa"] )) {
			$lookupTableLinks["placas_total"]["participantes_acumulado.placa"] = array();
		}
		$lookupTableLinks["placas_total"]["participantes_acumulado.placa"]["edit"] = array("table" => "Participantes_Acumulado", "field" => "placa", "page" => "edit");
		if( !isset( $lookupTableLinks["pro_participante"] ) ) {
			$lookupTableLinks["pro_participante"] = array();
		}
		if( !isset( $lookupTableLinks["pro_participante"]["pro_registro.no_placa"] )) {
			$lookupTableLinks["pro_participante"]["pro_registro.no_placa"] = array();
		}
		$lookupTableLinks["pro_participante"]["pro_registro.no_placa"]["edit"] = array("table" => "pro_registro", "field" => "no_placa", "page" => "edit");
}

?>